WebAttributes (Grails 6.0.0)

Package: grails.web.api

## [Groovy] Trait WebAttributes

- grails.web.api.WebAttributes

-     @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait WebAttributes
      extends java.lang.Object

  Common web attributes inherited by all controllers and tag libraries

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private GrailsApplication` | `grailsApplication` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GrailsWebRequest` | `currentRequestAttributes()`
    `` | `java.lang.String` | `getActionName()` Obtains the currently executing action name
    `` | `GrailsControllerClass` | `getControllerClass()` Obtains the currently executing controller class
    `` | `java.lang.String` | `getControllerName()` Obtains the currently executing controller name
    `` | `java.lang.String` | `getControllerNamespace()` Obtains the currently executing controller namespace
    `` | `FlashScope` | `getFlash()` Obtains the Grails FlashScope instance
    `` | `GrailsApplication` | `getGrailsApplication()` Obtains the GrailsApplication instance
    `` | `GrailsApplicationAttributes` | `getGrailsAttributes()` Obtains the GrailsApplicationAttributes instance
    `` | `GrailsParameterMap` | `getParams()` Obtains the Grails parameter map
    `` | `java.lang.String` | `getPluginContextPath()` Obtains the pluginContextPath
    `` | `GrailsWebRequest` | `getWebRequest()` Obtains the currently executing web request

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private GrailsApplication grailsApplication

  - ### Method Detail

    - #### @groovy.transform.Generated GrailsWebRequest currentRequestAttributes()

    - #### @groovy.transform.Generated java.lang.String getActionName()

      Obtains the currently executing action name

      Returns:
        The action name

    - #### @groovy.transform.Generated GrailsControllerClass getControllerClass()

      Obtains the currently executing controller class

      Returns:
        The controller class

    - #### @groovy.transform.Generated java.lang.String getControllerName()

      Obtains the currently executing controller name

      Returns:
        The controller name

    - #### @groovy.transform.Generated java.lang.String getControllerNamespace()

      Obtains the currently executing controller namespace

      Returns:
        The controller name

    - #### @groovy.transform.Generated FlashScope getFlash()

      Obtains the Grails FlashScope instance

      Returns:
        The FlashScope instance

    - #### @groovy.transform.Generated GrailsApplication getGrailsApplication()

      Obtains the GrailsApplication instance

      Returns:
        The GrailsApplication instance

    - #### @groovy.transform.Generated GrailsApplicationAttributes getGrailsAttributes()

      Obtains the GrailsApplicationAttributes instance

      Returns:
        The GrailsApplicationAttributes instance

    - #### @groovy.transform.Generated GrailsParameterMap getParams()

      Obtains the Grails parameter map

      Returns:
        The GrailsParameterMap instance

    - #### @groovy.transform.Generated java.lang.String getPluginContextPath()

      Obtains the pluginContextPath

      Parameters:
        `delegate` - The object the method is being invoked on
      Returns:
        The plugin context path

    - #### @groovy.transform.Generated GrailsWebRequest getWebRequest()

      Obtains the currently executing web request

      Returns:
        The GrailsWebRequest instance